# Class CIM_AssociatedMemory
extends CIM_Dependency

LogicalElements may have Memory installed on them or otherwise associated with them - such as CacheMemory. This is made explicit in this association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_AssociatedMemory

## Direct Known Subclasses

CIM_AssociatedCacheMemory
CIM_AssociatedProcessorMemory

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | LogicalElements may have Memory installed on them or otherwise associated with them - such as CacheMemory. This is made explicit in this association.
UMLPackagePath | string | CIM::Device::Memory
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_AssociatedMemory | CIM_Memory
Dependent | CIM_AssociatedMemory | CIM_LogicalElement

## Class Methods